Index: /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namsbc_mfs
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namsbc_mfs	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namsbc_mfs	(revision 10251)
@@ -2,14 +2,13 @@
 &namsbc_mfs   !   namsbc_mfs  MFS bulk formulae
 !-----------------------------------------------------------------------
-!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights     ! rotation ! land/sea mask !
-!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename    ! pairing  ! filename      !
-   sn_wndi     =   'ecmwf'   ,        6          , 'u10'     ,    .true.    , .false. , 'daily'  ,'bicubic.nc' , ''       , ''
-   sn_wndj     =   'ecmwf'   ,        6          , 'v10'     ,    .true.    , .false. , 'daily'  ,'bicubic.nc' , ''       , ''
-   sn_clc      =   'ecmwf'   ,        6          , 'clc'     ,    .true.    , .false. , 'daily'  ,'bilinear.nc', ''       , ''
-   sn_msl      =   'ecmwf'   ,        6          , 'msl'     ,    .true.    , .false. , 'daily'  ,'bicubic.nc' , ''       , ''
-   sn_tair     =   'ecmwf'   ,        6          , 't2'      ,    .true.    , .false. , 'daily'  ,'bicubic.nc' , ''       , ''
-   sn_rhm      =   'ecmwf'   ,        6          , 'rh'      ,    .true.    , .false. , 'daily'  ,'bilinear.nc', ''       , ''
-   sn_prec     =   'ecmwf'   ,        6          , 'precip'  ,    .true.    , .true.  , 'daily'  ,'bicubic.nc' , ''       , ''
-
-   cn_dir      = './ECMWF/'      !  root directory for the location of the bulk files
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_wndi     =   'ecmwf'   ,        6          , 'u10'     ,    .true.    , .false. , 'daily'  ,'bicubic.nc' , ''    , ''
+   sn_wndj     =   'ecmwf'   ,        6          , 'v10'     ,    .true.    , .false. , 'daily'  ,'bicubic.nc' , ''    , ''
+   sn_clc      =   'ecmwf'   ,        6          , 'clc'     ,    .true.    , .false. , 'daily'  ,'bilinear.nc', ''    , ''
+   sn_msl      =   'ecmwf'   ,        6          , 'msl'     ,    .true.    , .false. , 'daily'  ,'bicubic.nc' , ''    , ''
+   sn_tair     =   'ecmwf'   ,        6          , 't2'      ,    .true.    , .false. , 'daily'  ,'bicubic.nc' , ''    , ''
+   sn_rhm      =   'ecmwf'   ,        6          , 'rh'      ,    .true.    , .false. , 'daily'  ,'bilinear.nc', ''    , ''
+   sn_prec     =   'precip'  ,        6          , 'precip'  ,    .true.    , .false. , 'daily'  ,'bicubic'    , ''    , ''
+   cn_dir      =   './'      !  root directory for the location of the bulk files
 /
Index: /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namsbc_rnf
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namsbc_rnf	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namsbc_rnf	(revision 10251)
@@ -2,13 +2,14 @@
 &namsbc_rnf    !   runoffs namelist surface boundary condition
 !-----------------------------------------------------------------------
-!              !  file name           ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!              !                      !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_rnf      = 'runoff_core_monthly',        -1         , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
-   sn_cnf      = 'runoff_core_monthly',         0         , 'socoefr0',   .false.    , .true. , 'yearly'  , ''       , ''       , ''
-   sn_s_rnf    = 'runoffs'            ,        24         , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
-   sn_t_rnf    = 'runoffs'            ,        24         , 'rotemper',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
-   sn_dep_rnf  = 'runoffs'            ,         0         , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_rnf      = 'runoff_core_monthly',    -1    , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_cnf      = 'runoff_core_monthly',     0    , 'socoefr0',   .false.    , .true. , 'yearly'  , ''       , ''       , ''
+   sn_s_rnf    = 'runoffs'            ,    24    , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_t_rnf    = 'runoffs'            ,    24    , 'rotemper',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_dep_rnf  = 'runoffs'            ,     0    , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
 
    cn_dir       = './'      !  root directory for the location of the runoff files
+   ln_rnf_emp   = .false.   !  runoffs included into precipitation field (T) or into a file (F)
    ln_rnf_mouth = .true.    !  specific treatment at rivers mouths
    rn_hrnf      =  15.e0    !  depth over which enhanced vertical mixing is used
@@ -18,7 +19,3 @@
    ln_rnf_tem   = .false.   !  read in temperature information for runoff
    ln_rnf_sal   = .false.   !  read in salinity information for runoff
-   ln_rnf_depth_ini = .false.  ! compute depth at initialisation from runoff file
-   rn_rnf_max   = 5.735e-4  !  max value of the runoff climatologie over global domain ( ln_rnf_depth_ini = .true )
-   rn_dep_max   = 150.      !  depth over which runoffs is spread ( ln_rnf_depth_ini = .true )
-   nn_rnf_depth_file = 0    !  create (=1) a runoff depth file or not (=0)
 /
Index: /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namsbc_sas
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namsbc_sas	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namsbc_sas	(revision 10251)
@@ -4,14 +4,11 @@
 !              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
 !              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_usp      = 'sas_grid_U' ,    120           , 'vozocrtx' ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
-   sn_vsp      = 'sas_grid_V' ,    120           , 'vomecrty' ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
-   sn_tem      = 'sas_grid_T' ,    120           , 'sosstsst' ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
-   sn_sal      = 'sas_grid_T' ,    120           , 'sosaline' ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
-   sn_ssh      = 'sas_grid_T' ,    120           , 'sossheig' ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
-   sn_e3t      = 'sas_grid_T' ,    120           , 'e3t_m'    ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
-   sn_frq      = 'sas_grid_T' ,    120           , 'frq_m'    ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
+   sn_usp      = 'sas_grid_U' ,    120    , 'vozocrtx' ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
+   sn_vsp      = 'sas_grid_V' ,    120    , 'vomecrty' ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
+   sn_tem      = 'sas_grid_T' ,    120    , 'sosstsst' ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
+   sn_sal      = 'sas_grid_T' ,    120    , 'sosaline' ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
+   sn_ssh      = 'sas_grid_T' ,    120    , 'sossheig' ,  .true.    , .true. ,   'yearly'  , ''       , ''             , ''
 
-   ln_3d_uve   = .true.    !  specify whether we are supplying a 3D u,v and e3 field
-   ln_read_frq = .false.    !  specify whether we must read frq or not
+   ln_3d_uv    = .true.    !  specify whether we are supplying a 3D u,v field
    cn_dir      = './'      !  root directory for the location of the bulk files are
 /
Index: /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtra_adv
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtra_adv	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtra_adv	(revision 10251)
@@ -2,11 +2,10 @@
 &namtra_adv    !   advection scheme for tracer
 !-----------------------------------------------------------------------
-   ln_traadv_cen2   =  .false.   !  2nd order centered scheme
-   ln_traadv_tvd    =  .true.    !  TVD scheme
-   ln_traadv_muscl  =  .false.   !  MUSCL scheme
-   ln_traadv_muscl2 =  .false.   !  MUSCL2 scheme + cen2 at boundaries
-   ln_traadv_ubs    =  .false.   !  UBS scheme
-   ln_traadv_qck    =  .false.   !  QUICKEST scheme
-   ln_traadv_msc_ups=  .false.   !  use upstream scheme within muscl
-   ln_traadv_tvd_zts=  .false.  !  TVD scheme with sub-timestepping of vertical tracer advection
+   ln_traadv_cen2   =  .false.  !  2nd order centered scheme
+   ln_traadv_tvd    =  .true.   !  TVD scheme
+   ln_traadv_muscl  =  .false.  !  MUSCL scheme
+   ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries
+   ln_traadv_ubs    =  .false.  !  UBS scheme
+   ln_traadv_qck    =  .false.  !  QUICKEST scheme
+   ln_traadv_msc_ups=  .false.  !  use upstream scheme within muscl
 /
Index: /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtra_bbc
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtra_bbc	(revision 10251)
+++ /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtra_bbc	(revision 10251)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&nambbc        !   bottom temperature boundary condition
+!-----------------------------------------------------------------------
+   ln_trabbc   = .true.    !  Apply a geothermal heating at the ocean bottom
+   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux
+                           !     = 1 constant flux
+                           !     = 2 variable flux (read in geothermal_heating.nc in mW/m2)
+   rn_geoflx_cst = 86.4e-3 !  Constant value of geothermal heat flux [W/m2]
+/
Index: /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtra_qsr
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtra_qsr	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtra_qsr	(revision 10251)
@@ -15,4 +15,3 @@
    rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
    rn_si1      =   23.0    !  2 bands: longest depth of extinction
-   ln_qsr_ice  = .true.    !  light penetration for ice-model LIM3
 /
Index: /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtrd
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtrd	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtrd	(revision 10251)
@@ -1,14 +1,12 @@
 !-----------------------------------------------------------------------
-&namtrd        !   diagnostics on dynamics and/or tracer trends
-!              !       and/or mixed-layer trends and/or barotropic vorticity
+&namtrd        !   diagnostics on dynamics and/or tracer trends         ("key_trddyn" and/or "key_trdtra")
+!              !       or mixed-layer trends or barotropic vorticity    ("key_trdmld" or     "key_trdvor")
 !-----------------------------------------------------------------------
-   ln_glo_trd  = .false.   ! (T) global domain averaged diag for T, T^2, KE, and PE
-   ln_dyn_trd  = .false.   ! (T) 3D momentum trend output
-   ln_dyn_mxl  = .FALSE.   ! (T) 2D momentum trends averaged over the mixed layer (not coded yet)
-   ln_vor_trd  = .FALSE.   ! (T) 2D barotropic vorticity trends (not coded yet)
-   ln_KE_trd   = .false.   ! (T) 3D Kinetic   Energy     trends
-   ln_PE_trd   = .false.   ! (T) 3D Potential Energy     trends
-   ln_tra_trd  = .FALSE.   ! (T) 3D tracer trend output
-   ln_tra_mxl  = .false.   ! (T) 2D tracer trends averaged over the mixed layer (not coded yet)
-   nn_trd      = 365       !  print frequency (ln_glo_trd=T) (unit=time step)
+   nn_trd      = 365       !  time step frequency dynamics and tracers trends
+   nn_ctls     =   0       !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   rn_ucf      =   1.      !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   cn_trdrst_in      = "restart_mld"   ! suffix of ocean restart name (input)
+   cn_trdrst_out     = "restart_mld"   ! suffix of ocean restart name (output)
+   ln_trdmld_restart = .false.         !  restart for ML diagnostics
+   ln_trdmld_instant = .false.         !  flag to diagnose trends of instantantaneous or mean ML T/S
 /
Index: /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtsd
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtsd	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namtsd	(revision 10251)
@@ -2,9 +2,8 @@
 &namtsd    !   data : Temperature  & Salinity
 !-----------------------------------------------------------------------
-!-----------------------------------------------------------------------
-!          !  file name                            ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!          !                                       !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_tem  = 'data_1m_potential_temperature_nomask',         -1        ,'votemper' ,    .true.    , .true. , 'yearly'   , ''       ,   ''    ,    ''
-   sn_sal  = 'data_1m_salinity_nomask'             ,         -1        ,'vosaline' ,    .true.    , .true. , 'yearly'   , ''       ,   ''    ,    ''
+!          ! file name ! frequency (hours)         ! variable     ! time interp. ! clim  !'yearly' or ! weights  ! rotation ! land/sea mask !
+!          !           !  (if <0  months)          !   name       !  (logical)   ! (T/F) ! 'monthly'  ! filename ! pairing  ! filename      !
+   sn_tem  = 'data_1m_potential_temperature_nomask', -1,'votemper',  .true.      , .true., 'yearly'   , ' '      , ' '      , ''
+   sn_sal  = 'data_1m_salinity_nomask'             , -1,'vosaline',  .true.      , .true., 'yearly'   , ''       , ' '      , ''
    !
    cn_dir        = './'     !  root directory for the location of the runoff files
Index: /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namzdf_gls
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namzdf_gls	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namzdf_gls	(revision 10251)
@@ -2,17 +2,17 @@
 &namzdf_gls                !   GLS vertical diffusion                   ("key_zdfgls")
 !-----------------------------------------------------------------------
-   rn_emin       = 1.e-7   !  minimum value of e   [m2/s2]
+   rn_emin       = 1.e-6   !  minimum value of e   [m2/s2]
    rn_epsmin     = 1.e-12  !  minimum value of eps [m2/s3]
    ln_length_lim = .true.  !  limit on the dissipation rate under stable stratification (Galperin et al., 1988)
-   rn_clim_galp  = 0.267   !  galperin limit
+   rn_clim_galp  = 0.53    !  galperin limit
+   ln_crban      = .true.  !  Use Craig & Banner (1994) surface wave mixing parametrisation
    ln_sigpsi     = .true.  !  Activate or not Burchard 2001 mods on psi schmidt number in the wb case
    rn_crban      = 100.    !  Craig and Banner 1994 constant for wb tke flux
    rn_charn      = 70000.  !  Charnock constant for wb induced roughness length
-   rn_hsro       =  0.02   !  Minimum surface roughness
-   rn_frac_hs    =   1.3   !  Fraction of wave height as roughness (if nn_z0_met=2)
-   nn_z0_met     =     2   !  Method for surface roughness computation (0/1/2)
-   nn_bc_surf    =     1   !  surface condition (0/1=Dir/Neum)
-   nn_bc_bot     =     1   !  bottom condition (0/1=Dir/Neum)
-   nn_stab_func  =     2   !  stability function (0=Galp, 1= KC94, 2=CanutoA, 3=CanutoB)
-   nn_clos       =     1   !  predefined closure type (0=MY82, 1=k-eps, 2=k-w, 3=Gen)
+   nn_tkebc_surf =   1     !  surface tke condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
+   nn_tkebc_bot  =   1     !  bottom tke condition (0/1=Dir/Neum)
+   nn_psibc_surf =   1     !  surface psi condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
+   nn_psibc_bot  =   1     !  bottom psi condition (0/1=Dir/Neum)
+   nn_stab_func  =   2     !  stability function (0=Galp, 1= KC94, 2=CanutoA, 3=CanutoB)
+   nn_clos       =   1     !  predefined closure type (0=MY82, 1=k-eps, 2=k-w, 3=Gen)
 /
Index: /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namzdf_tke
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namzdf_tke	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/DOC/TexFiles/Namelist/namzdf_tke	(revision 10251)
@@ -21,5 +21,5 @@
                            !        = 1 add a tke source below the ML
                            !        = 2 add a tke source just at the base of the ML
-                           !        = 3 as = 1 applied on HF part of the stress    ("key_oasis3")
+                           !        = 3 as = 1 applied on HF part of the stress    ("key_coupled")
    rn_efr      =   0.05    !  fraction of surface tke value which penetrates below the ML (nn_etau=1 or 2)
    nn_htau     =   1       !  type of exponential decrease of tke penetration below the ML
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm	(revision 10251)
@@ -13,6 +13,4 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 
 
@@ -31,4 +29,2 @@
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB 
-%CC                  xlc
-%CFLAGS              -O -qcpluscmt
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm	(revision 10251)
@@ -13,6 +13,4 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 
 
@@ -31,4 +29,2 @@
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB 
-%CC                  xlc
-%CFLAGS              -O -qcpluscmt
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm	(revision 10251)
@@ -13,6 +13,4 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 
 
@@ -31,4 +29,2 @@
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB 
-%CC                  xlc
-%CFLAGS              -O -qcpluscmt
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm	(revision 10251)
@@ -25,6 +25,4 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -58,5 +56,2 @@
 %USER_INC            %XIOS_INC %NCDF_INC %HDF5_INC
 %USER_LIB            %XIOS_LIB %NCDF_LIB %HDF5_LIB  -lnetcdff -lnetcdf -lstdc++ -lz -lcurl -lgpfs
-
-%CC                  cc
-%CFLAGS              -O0
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm	(revision 10251)
@@ -13,6 +13,4 @@
 # USER_INC additional include files for the compiler, e.g. -I<include dir>
 # USER_LIB additional libraries to pass to the linker, e.g. -l<library>
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 
 
@@ -31,5 +29,3 @@
 %USER_INC %NCDF_INC
 %USER_LIB %NCDF_LIB
-%CC                  icc
-%CFLAGS              -O0
 
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm	(revision 10251)
@@ -13,6 +13,4 @@
 # USER_INC additional include files for the compiler, e.g. -I<include dir>
 # USER_LIB additional libraries to pass to the linker, e.g. -l<library>
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 
 
@@ -31,5 +29,3 @@
 %USER_INC %NCDF_INC
 %USER_LIB %NCDF_LIB
-%CC                  icc
-%CFLAGS              -O0
 
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm	(revision 10251)
@@ -13,6 +13,4 @@
 # USER_INC additional include files for the compiler, e.g. -I<include dir>
 # USER_LIB additional libraries to pass to the linker, e.g. -l<library>
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 
 
@@ -31,5 +29,3 @@
 %USER_INC %NCDF_INC
 %USER_LIB %NCDF_LIB
-%CC                  icc
-%CFLAGS              -O0
 
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 10251)
@@ -25,6 +25,4 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -34,24 +32,22 @@
 
 # required modules
-# module load  INTEL/intel_xe_2013 NETCDF/netcdf-4.3_parallel_shared NETCDF/parallel-netcdf-1.3.1 HDF5/hdf5-1.8.11_parallel_shared
+# module load  INTEL/intel_xe_2013 NETCDF/netcdf-4.3_parallel NETCDF/parallel-netcdf-1.3.1 HDF5/hdf5-1.8.11_parallel
 
 # Environment variables set by user. Others should automatically define when loading modules.
-#export XIOS=/users/home/models/nemo/xios
-#export HDF5=/users/home/opt/hdf5/hdf5-1.8.11_parallel_shared
-#export NETCDF=/users/home/opt/netcdf/netcdf-4.3_parallel_shared
+# export XIOS=/users/home/models/nemo/xios
 
-%NCDF_INC            -I${NETCDF}/include 
-%NCDF_LIB            -L${NETCDF}/lib -lnetcdff -lnetcdf
-%HDF5_INC            -I${HDF5}/include
-%HDF5_LIB            -L${HDF5}/lib -lhdf5_hl -lhdf5
-%XIOS_INC            -I${XIOS}/inc
-%XIOS_LIB            -L${XIOS}/lib -lxios
+%NCDF_INC            -I$NETCDF/include -I$PNETCDF/include
+%NCDF_LIB            -L$NETCDF/lib -lnetcdff -lnetcdf -L$PNETCDF/lib -lpnetcdf
+%HDF5_INC            -I$PHDF5/include
+%HDF5_LIB            -L$PHDF5/lib -lhdf5_hl -lhdf5
+%XIOS_INC            -I$XIOS/inc
+%XIOS_LIB            -L$XIOS/lib -lxios
 %CPP                 cpp
 %FC                  mpiifort
-%FCFLAGS             -r8 -O3 -xHost -fp-model source -traceback ${CFLAGS} 
+%FCFLAGS             -r8 -O3 -xHost -fp-model source -traceback
 %FFLAGS              %FCFLAGS
 %LD                  mpiifort
 %FPPFLAGS            -P -C -traditional
-%LDFLAGS             -lstdc++ -lz -lgpfs -lcurl  ${LDFLAGS}
+%LDFLAGS             -lstdc++ -lz -lgpfs -lcurl
 %AR                  ar 
 %ARFLAGS             -r
@@ -59,4 +55,2 @@
 %USER_INC            %XIOS_INC %NCDF_INC %HDF5_INC
 %USER_LIB            %XIOS_LIB %NCDF_LIB %HDF5_LIB
-%CC                  icc
-%CFLAGS              -O0
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm	(revision 10251)
@@ -15,6 +15,4 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 
 %NCDF_INC            -I/srv/lib/netcdf-x/include
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 10251)
@@ -24,6 +24,4 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -60,5 +58,2 @@
 #FCFLAGS             -g -traceback -r8 -O0 -xT -ip -vec-report0
 #FFLAGS              -g -traceback -r8 -O0 -xT -ip -vec-report0
-
-%CC                  cc
-%CFLAGS              -O0
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm	(revision 10251)
@@ -17,6 +17,4 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -50,5 +48,2 @@
 %USER_INC            %XIOS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %NCDF_LIB %XLF90_LIB
-
-%CC                  xlc
-%CFLAGS              -O -qcpluscmt
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-PW7_METO.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-PW7_METO.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-PW7_METO.fcm	(revision 10251)
@@ -15,6 +15,4 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 
 
@@ -26,5 +24,5 @@
 %FC                  mpxlf90_r
 %FCFLAGS             -qrealsize=8 -qextname -qsuffix=f=f90 -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF
-%FFLAGS             -qrealsize=8 -qextname -qsuffix=f=f90 -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF
+%FFLAGS              -qrealsize=8 -qextname -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF -qfixed
 %LD                  mpCC_r
 %LDFLAGS             -lxlf90 -L/projects/um1/lib -lsig -O2 -L MASS
@@ -35,4 +33,2 @@
 %USER_INC            %NCDF_INC %XIOS_INC
 %USER_LIB            %NCDF_LIB %XIOS_LIB
-%CC                  xlc
-%CFLAGS              -O -qcpluscmt
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-PW7_MONSOON.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-PW7_MONSOON.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-PW7_MONSOON.fcm	(revision 10251)
@@ -15,6 +15,4 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 
 %NCDF_INC            -I/home/dcalve/netcdf/4.1.3_seq/include
@@ -34,5 +32,2 @@
 %USER_INC            %NCDF_INC %XIOS_INC
 %USER_LIB            %NCDF_LIB %XIOS_LIB
-
-%CC                  xlc
-%CFLAGS              -O -qcpluscmt
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-X64_ADA.fcm
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-X64_ADA.fcm	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/ARCH/arch-X64_ADA.fcm	(revision 10251)
@@ -24,6 +24,4 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -56,5 +54,2 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
-
-%CC                  icc
-%CFLAGS              -O0
